#ifndef WSCSHEETLISTDATA_H
#define WSCSHEETLISTDATA_H

#include <WScom.h>

class WSCsheetListData {

    void**  _data;
    unsigned _num:24;
    unsigned char _seg_size;

  public:
    WSCsheetListData();
    WSCsheetListData(long);
    WSCsheetListData(WSCsheetListData&);
    WSCsheetListData(const WSCsheetListData&);
    virtual ~WSCsheetListData();

    long   setSize(long i);
    long   add(void* data,long i =-1);
    void   setData(long i,void*);

    void*  getData(long i);
    long   getNum();
    void*  getTopData();
    void*  getBottomData();
    void** getBuf();

    long   del(void* data);
    long   delPos(long i);
    void   clear();
    WSCsheetListData& operator = (WSCsheetListData&);
    void*  &operator[](long index);
};
#endif
